---
title: llarp::dht::ExploreNetworkJob

---

# llarp::dht::ExploreNetworkJob





Inherits from [llarp::dht::TX< RouterID, RouterID >](Classes/structllarp_1_1dht_1_1TX.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[ExploreNetworkJob](Classes/structllarp_1_1dht_1_1ExploreNetworkJob.md#function-explorenetworkjob)**(const [RouterID](Classes/structllarp_1_1RouterID.md) & peer, [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * ctx) |
| virtual bool | **[Validate](Classes/structllarp_1_1dht_1_1ExploreNetworkJob.md#function-validate)**(const [RouterID](Classes/structllarp_1_1RouterID.md) & ) const override |
| virtual void | **[Start](Classes/structllarp_1_1dht_1_1ExploreNetworkJob.md#function-start)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & peer) override |
| virtual void | **[SendReply](Classes/structllarp_1_1dht_1_1ExploreNetworkJob.md#function-sendreply)**() override |

## Additional inherited members

**Public Functions inherited from [llarp::dht::TX< RouterID, RouterID >](Classes/structllarp_1_1dht_1_1TX.md)**

|                | Name           |
| -------------- | -------------- |
| | **[TX](Classes/structllarp_1_1dht_1_1TX.md#function-tx)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & asker, const K & k, [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * p) |
| virtual | **[~TX](Classes/structllarp_1_1dht_1_1TX.md#function-~tx)**() =default |
| void | **[OnFound](Classes/structllarp_1_1dht_1_1TX.md#function-onfound)**(const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & askedPeer, const V & value) |
| util::StatusObject | **[ExtractStatus](Classes/structllarp_1_1dht_1_1TX.md#function-extractstatus)**() const |

**Public Attributes inherited from [llarp::dht::TX< RouterID, RouterID >](Classes/structllarp_1_1dht_1_1TX.md)**

|                | Name           |
| -------------- | -------------- |
| K | **[target](Classes/structllarp_1_1dht_1_1TX.md#variable-target)**  |
| [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * | **[parent](Classes/structllarp_1_1dht_1_1TX.md#variable-parent)**  |
| std::set< [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) > | **[peersAsked](Classes/structllarp_1_1dht_1_1TX.md#variable-peersasked)**  |
| std::vector< V > | **[valuesFound](Classes/structllarp_1_1dht_1_1TX.md#variable-valuesfound)**  |
| [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) | **[whoasked](Classes/structllarp_1_1dht_1_1TX.md#variable-whoasked)**  |


## Public Functions Documentation

### function ExploreNetworkJob

```cpp
inline ExploreNetworkJob(
    const RouterID & peer,
    AbstractContext * ctx
)
```


### function Validate

```cpp
inline virtual bool Validate(
    const RouterID & 
) const override
```


**Reimplements**: [llarp::dht::TX::Validate](Classes/structllarp_1_1dht_1_1TX.md#function-validate)


### function Start

```cpp
virtual void Start(
    const TXOwner & peer
) override
```


**Reimplements**: [llarp::dht::TX::Start](Classes/structllarp_1_1dht_1_1TX.md#function-start)


### function SendReply

```cpp
virtual void SendReply() override
```


**Reimplements**: [llarp::dht::TX::SendReply](Classes/structllarp_1_1dht_1_1TX.md#function-sendreply)


-------------------------------

Updated on 2023-01-13 at 22:44:38 +0000