---
title: llarp::dht::Key_t

---

# llarp::dht::Key_t





Inherits from [llarp::AlignedBuffer< 32 >](Classes/structllarp_1_1AlignedBuffer.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[Key_t](Classes/structllarp_1_1dht_1_1Key__t.md#function-key-t)**(const byte_t * buf) |
| | **[Key_t](Classes/structllarp_1_1dht_1_1Key__t.md#function-key-t)**(const Data & data) |
| | **[Key_t](Classes/structllarp_1_1dht_1_1Key__t.md#function-key-t)**(const [AlignedBuffer](Classes/structllarp_1_1AlignedBuffer.md)< SIZE > & data) |
| | **[Key_t](Classes/structllarp_1_1dht_1_1Key__t.md#function-key-t)**() |
| std::string | **[SNode](Classes/structllarp_1_1dht_1_1Key__t.md#function-snode)**() const<br>get snode address string  |
| util::StatusObject | **[ExtractStatus](Classes/structllarp_1_1dht_1_1Key__t.md#function-extractstatus)**() const |
| std::string | **[ToString](Classes/structllarp_1_1dht_1_1Key__t.md#function-tostring)**() const |
| [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) | **[operator^](Classes/structllarp_1_1dht_1_1Key__t.md#function-operator^)**(const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & other) const |
| bool | **[operator==](Classes/structllarp_1_1dht_1_1Key__t.md#function-operator==)**(const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & other) const |
| bool | **[operator!=](Classes/structllarp_1_1dht_1_1Key__t.md#function-operator!=)**(const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & other) const |
| bool | **[operator<](Classes/structllarp_1_1dht_1_1Key__t.md#function-operator<)**(const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & other) const |
| bool | **[operator>](Classes/structllarp_1_1dht_1_1Key__t.md#function-operator>)**(const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & other) const |

## Additional inherited members

**Public Types inherited from [llarp::AlignedBuffer< 32 >](Classes/structllarp_1_1AlignedBuffer.md)**

|                | Name           |
| -------------- | -------------- |
| using std::array< byte_t, SIZE > | **[Data](Classes/structllarp_1_1AlignedBuffer.md#using-data)**  |

**Public Functions inherited from [llarp::AlignedBuffer< 32 >](Classes/structllarp_1_1AlignedBuffer.md)**

|                | Name           |
| -------------- | -------------- |
| virtual | **[~AlignedBuffer](Classes/structllarp_1_1AlignedBuffer.md#function-~alignedbuffer)**() =default |
| | **[AlignedBuffer](Classes/structllarp_1_1AlignedBuffer.md#function-alignedbuffer)**() |
| | **[AlignedBuffer](Classes/structllarp_1_1AlignedBuffer.md#function-alignedbuffer)**(const byte_t * data) |
| | **[AlignedBuffer](Classes/structllarp_1_1AlignedBuffer.md#function-alignedbuffer)**(const Data & buf) |
| [AlignedBuffer](Classes/structllarp_1_1AlignedBuffer.md) & | **[operator=](Classes/structllarp_1_1AlignedBuffer.md#function-operator=)**(const byte_t * data) |
| [AlignedBuffer](Classes/structllarp_1_1AlignedBuffer.md)< sz > | **[operator~](Classes/structllarp_1_1AlignedBuffer.md#function-operator~)**() const<br>bitwise NOT  |
| bool | **[operator<=](Classes/structllarp_1_1AlignedBuffer.md#function-operator<=)**(const [AlignedBuffer](Classes/structllarp_1_1AlignedBuffer.md) & other) const |
| bool | **[operator>=](Classes/structllarp_1_1AlignedBuffer.md#function-operator>=)**(const [AlignedBuffer](Classes/structllarp_1_1AlignedBuffer.md) & other) const |
| [AlignedBuffer](Classes/structllarp_1_1AlignedBuffer.md) & | **[operator^=](Classes/structllarp_1_1AlignedBuffer.md#function-operator^=)**(const [AlignedBuffer](Classes/structllarp_1_1AlignedBuffer.md) & other) |
| byte_t & | **[operator[]](Classes/structllarp_1_1AlignedBuffer.md#function-operator[])**(size_t idx) |
| const byte_t & | **[operator[]](Classes/structllarp_1_1AlignedBuffer.md#function-operator[])**(size_t idx) const |
| void | **[Fill](Classes/structllarp_1_1AlignedBuffer.md#function-fill)**(byte_t f) |
| Data & | **[as_array](Classes/structllarp_1_1AlignedBuffer.md#function-as-array)**() |
| const Data & | **[as_array](Classes/structllarp_1_1AlignedBuffer.md#function-as-array)**() const |
| byte_t * | **[data](Classes/structllarp_1_1AlignedBuffer.md#function-data)**() |
| const byte_t * | **[data](Classes/structllarp_1_1AlignedBuffer.md#function-data)**() const |
| bool | **[IsZero](Classes/structllarp_1_1AlignedBuffer.md#function-iszero)**() const |
| void | **[Zero](Classes/structllarp_1_1AlignedBuffer.md#function-zero)**() |
| virtual void | **[Randomize](Classes/structllarp_1_1AlignedBuffer.md#function-randomize)**() |
| Data::iterator | **[begin](Classes/structllarp_1_1AlignedBuffer.md#function-begin)**() |
| Data::iterator | **[end](Classes/structllarp_1_1AlignedBuffer.md#function-end)**() |
| Data::const_iterator | **[begin](Classes/structllarp_1_1AlignedBuffer.md#function-begin)**() const |
| Data::const_iterator | **[end](Classes/structllarp_1_1AlignedBuffer.md#function-end)**() const |
| bool | **[FromBytestring](Classes/structllarp_1_1AlignedBuffer.md#function-frombytestring)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) |
| bool | **[BEncode](Classes/structllarp_1_1AlignedBuffer.md#function-bencode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) const |
| bool | **[BDecode](Classes/structllarp_1_1AlignedBuffer.md#function-bdecode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) |
| std::string_view | **[ToView](Classes/structllarp_1_1AlignedBuffer.md#function-toview)**() const |
| std::string | **[ToHex](Classes/structllarp_1_1AlignedBuffer.md#function-tohex)**() const |
| std::string | **[ShortHex](Classes/structllarp_1_1AlignedBuffer.md#function-shorthex)**() const |
| bool | **[FromHex](Classes/structllarp_1_1AlignedBuffer.md#function-fromhex)**(std::string_view str) |
| constexpr size_t | **[size](Classes/structllarp_1_1AlignedBuffer.md#function-size)**() |

**Public Attributes inherited from [llarp::AlignedBuffer< 32 >](Classes/structllarp_1_1AlignedBuffer.md)**

|                | Name           |
| -------------- | -------------- |
| constexpr size_t | **[SIZE](Classes/structllarp_1_1AlignedBuffer.md#variable-size)**  |


## Public Functions Documentation

### function Key_t

```cpp
inline explicit Key_t(
    const byte_t * buf
)
```


### function Key_t

```cpp
inline explicit Key_t(
    const Data & data
)
```


### function Key_t

```cpp
inline explicit Key_t(
    const AlignedBuffer< SIZE > & data
)
```


### function Key_t

```cpp
inline Key_t()
```


### function SNode

```cpp
inline std::string SNode() const
```

get snode address string 

### function ExtractStatus

```cpp
util::StatusObject ExtractStatus() const
```


### function ToString

```cpp
inline std::string ToString() const
```


### function operator^

```cpp
inline Key_t operator^(
    const Key_t & other
) const
```


### function operator==

```cpp
inline bool operator==(
    const Key_t & other
) const
```


### function operator!=

```cpp
inline bool operator!=(
    const Key_t & other
) const
```


### function operator<

```cpp
inline bool operator<(
    const Key_t & other
) const
```


### function operator>

```cpp
inline bool operator>(
    const Key_t & other
) const
```


-------------------------------

Updated on 2023-01-13 at 22:44:38 +0000