---
title: llarp::rpc::RPCRequest

---

# llarp::rpc::RPCRequest





Inherited by [llarp::rpc::Deferred](Classes/structllarp_1_1rpc_1_1Deferred.md), [llarp::rpc::Immediate](Classes/structllarp_1_1rpc_1_1Immediate.md), [llarp::rpc::NoArgs](Classes/structllarp_1_1rpc_1_1NoArgs.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| bool | **[is_bt](Classes/structllarp_1_1rpc_1_1RPCRequest.md#function-is-bt)**() const |
| void | **[set_bt](Classes/structllarp_1_1rpc_1_1RPCRequest.md#function-set-bt)**() |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| nlohmann::json | **[response](Classes/structllarp_1_1rpc_1_1RPCRequest.md#variable-response)**  |
| [tools::json_binary_proxy](Classes/classtools_1_1json__binary__proxy.md) | **[response_hex](Classes/structllarp_1_1rpc_1_1RPCRequest.md#variable-response-hex)**  |
| [tools::json_binary_proxy](Classes/classtools_1_1json__binary__proxy.md) | **[response_b64](Classes/structllarp_1_1rpc_1_1RPCRequest.md#variable-response-b64)**  |

## Public Functions Documentation

### function is_bt

```cpp
inline bool is_bt() const
```


### function set_bt

```cpp
inline void set_bt()
```


## Public Attributes Documentation

### variable response

```cpp
nlohmann::json response;
```


### variable response_hex

```cpp
tools::json_binary_proxy response_hex {response, tools::json_binary_proxy::fmt::hex};
```


### variable response_b64

```cpp
tools::json_binary_proxy response_b64 {response, tools::json_binary_proxy::fmt::base64};
```


-------------------------------

Updated on 2023-01-13 at 22:44:39 +0000