---
title: tooling::LinkSessionEstablishedEvent

---

# tooling::LinkSessionEstablishedEvent





Inherits from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[LinkSessionEstablishedEvent](Classes/structtooling_1_1LinkSessionEstablishedEvent.md#function-linksessionestablishedevent)**(const [llarp::RouterID](Classes/structllarp_1_1RouterID.md) & ourRouterId, const [llarp::RouterID](Classes/structllarp_1_1RouterID.md) & remoteId_, bool inbound_) |
| virtual std::string | **[ToString](Classes/structtooling_1_1LinkSessionEstablishedEvent.md#function-tostring)**() const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [llarp::RouterID](Classes/structllarp_1_1RouterID.md) | **[remoteId](Classes/structtooling_1_1LinkSessionEstablishedEvent.md#variable-remoteid)**  |
| bool | **[inbound](Classes/structtooling_1_1LinkSessionEstablishedEvent.md#variable-inbound)**  |

## Additional inherited members

**Public Functions inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| | **[RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-routerevent)**(std::string eventType, [llarp::RouterID](Classes/structllarp_1_1RouterID.md) routerID, bool triggered) |
| virtual | **[~RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-~routerevent)**() =default |

**Public Attributes inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| const std::string | **[eventType](Classes/structtooling_1_1RouterEvent.md#variable-eventtype)**  |
| [llarp::RouterID](Classes/structllarp_1_1RouterID.md) | **[routerID](Classes/structtooling_1_1RouterEvent.md#variable-routerid)**  |
| bool | **[triggered](Classes/structtooling_1_1RouterEvent.md#variable-triggered)**  |


## Public Functions Documentation

### function LinkSessionEstablishedEvent

```cpp
inline LinkSessionEstablishedEvent(
    const llarp::RouterID & ourRouterId,
    const llarp::RouterID & remoteId_,
    bool inbound_
)
```


### function ToString

```cpp
inline virtual std::string ToString() const
```


**Reimplements**: [tooling::RouterEvent::ToString](Classes/structtooling_1_1RouterEvent.md#function-tostring)


## Public Attributes Documentation

### variable remoteId

```cpp
llarp::RouterID remoteId;
```


### variable inbound

```cpp
bool inbound = false;
```


-------------------------------

Updated on 2023-01-13 at 22:44:38 +0000