---
title: llarp/win32/windivert.hpp

---

# llarp/win32/windivert.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::win32](Namespaces/namespacellarp_1_1win32.md)**  |
| **[llarp::win32::WinDivert](Namespaces/namespacellarp_1_1win32_1_1WinDivert.md)**  |




## Source code

```cpp
#pragma once
#include <memory>
#include <string>
#include <windows.h>
#include <llarp/vpn/i_packet_io.hpp>

namespace llarp::win32::WinDivert
{
  std::string
  format_ip(uint32_t ip);

  std::shared_ptr<llarp::vpn::I_Packet_IO>
  make_interceptor(const std::string& filter_spec, std::function<void(void)> wakeup);

}  // namespace llarp::win32::WinDivert
```


-------------------------------

Updated on 2023-01-13 at 22:44:39 +0000
