---
title: llarp::rpc::MessageHandler

---

# llarp::rpc::MessageHandler





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[MessageHandler](Classes/classllarp_1_1rpc_1_1MessageHandler.md#function-messagehandler)**([AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & ) |
| | **[MessageHandler](Classes/classllarp_1_1rpc_1_1MessageHandler.md#function-messagehandler)**([AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & _r) |
| | **[~MessageHandler](Classes/classllarp_1_1rpc_1_1MessageHandler.md#function-~messagehandler)**() =default |
| void | **[SendImmediateResponse](Classes/classllarp_1_1rpc_1_1MessageHandler.md#function-sendimmediateresponse)**(oxenmq::Message & msg) |
| void | **[SendDelayedResponse](Classes/classllarp_1_1rpc_1_1MessageHandler.md#function-senddelayedresponse)**(oxenmq::Message & msg) |
| void | **[SendImmediateError](Classes/classllarp_1_1rpc_1_1MessageHandler.md#function-sendimmediateerror)**(oxenmq::Message & msg) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) &const | **[m_Router](Classes/classllarp_1_1rpc_1_1MessageHandler.md#variable-m-router)**  |
| std::unique_ptr< [endpoint::Endpoint](Classes/structllarp_1_1rpc_1_1endpoint_1_1Endpoint.md) > | **[endpoint](Classes/classllarp_1_1rpc_1_1MessageHandler.md#variable-endpoint)**  |

## Public Functions Documentation

### function MessageHandler

```cpp
explicit MessageHandler(
    AbstractRouter & 
)
```


### function MessageHandler

```cpp
inline explicit MessageHandler(
    AbstractRouter & _r
)
```


### function ~MessageHandler

```cpp
~MessageHandler() =default
```


### function SendImmediateResponse

```cpp
void SendImmediateResponse(
    oxenmq::Message & msg
)
```


### function SendDelayedResponse

```cpp
void SendDelayedResponse(
    oxenmq::Message & msg
)
```


### function SendImmediateError

```cpp
void SendImmediateError(
    oxenmq::Message & msg
)
```


## Public Attributes Documentation

### variable m_Router

```cpp
AbstractRouter &const m_Router;
```


### variable endpoint

```cpp
std::unique_ptr< endpoint::Endpoint > endpoint;
```


-------------------------------

Updated on 2023-01-13 at 22:44:39 +0000