---
title: llarp::rpc::RPCServer

---

# llarp::rpc::RPCServer





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[RPCServer](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-rpcserver)**(LMQ_ptr , [AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & ) |
| | **[~RPCServer](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-~rpcserver)**() =default |
| void | **[HandleLogsSubRequest](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-handlelogssubrequest)**(oxenmq::Message & m) |
| void | **[invoke](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-invoke)**([Halt](Classes/structllarp_1_1rpc_1_1Halt.md) & halt, std::string_view body) |
| void | **[invoke](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-invoke)**([Version](Classes/structllarp_1_1rpc_1_1Version.md) & version, std::string_view body) |
| void | **[invoke](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-invoke)**([Status](Classes/structllarp_1_1rpc_1_1Status.md) & status, std::string_view body) |
| void | **[invoke](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-invoke)**([GetStatus](Classes/structllarp_1_1rpc_1_1GetStatus.md) & getstatus, std::string_view body) |
| void | **[invoke](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-invoke)**([QuicConnect](Classes/structllarp_1_1rpc_1_1QuicConnect.md) & quicconnect, std::string_view body) |
| void | **[invoke](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-invoke)**([QuicListener](Classes/structllarp_1_1rpc_1_1QuicListener.md) & quiclistener, std::string_view body) |
| void | **[invoke](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-invoke)**([LookupSnode](Classes/structllarp_1_1rpc_1_1LookupSnode.md) & lookupsnode, std::string_view body) |
| void | **[invoke](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-invoke)**([Exit](Classes/structllarp_1_1rpc_1_1Exit.md) & exit, std::string_view body) |
| void | **[invoke](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-invoke)**([DNSQuery](Classes/structllarp_1_1rpc_1_1DNSQuery.md) & dnsquery, std::string_view body) |
| void | **[invoke](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-invoke)**([Config](Classes/structllarp_1_1rpc_1_1Config.md) & config, std::string_view body) |
| template <typename Result_t \> <br>std::string | **[CreateJSONResponse](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-createjsonresponse)**(Result_t result) |
| std::string | **[CreateJSONError](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-createjsonerror)**(std::string_view msg) |
| void | **[AddCategories](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-addcategories)**() |

## Public Functions Documentation

### function RPCServer

```cpp
explicit RPCServer(
    LMQ_ptr ,
    AbstractRouter & 
)
```


### function ~RPCServer

```cpp
~RPCServer() =default
```


### function HandleLogsSubRequest

```cpp
void HandleLogsSubRequest(
    oxenmq::Message & m
)
```


### function invoke

```cpp
void invoke(
    Halt & halt,
    std::string_view body
)
```


### function invoke

```cpp
void invoke(
    Version & version,
    std::string_view body
)
```


### function invoke

```cpp
void invoke(
    Status & status,
    std::string_view body
)
```


### function invoke

```cpp
void invoke(
    GetStatus & getstatus,
    std::string_view body
)
```


### function invoke

```cpp
void invoke(
    QuicConnect & quicconnect,
    std::string_view body
)
```


### function invoke

```cpp
void invoke(
    QuicListener & quiclistener,
    std::string_view body
)
```


### function invoke

```cpp
void invoke(
    LookupSnode & lookupsnode,
    std::string_view body
)
```


### function invoke

```cpp
void invoke(
    Exit & exit,
    std::string_view body
)
```


### function invoke

```cpp
void invoke(
    DNSQuery & dnsquery,
    std::string_view body
)
```


### function invoke

```cpp
void invoke(
    Config & config,
    std::string_view body
)
```


### function CreateJSONResponse

```cpp
template <typename Result_t >
inline std::string CreateJSONResponse(
    Result_t result
)
```


### function CreateJSONError

```cpp
inline std::string CreateJSONError(
    std::string_view msg
)
```


### function AddCategories

```cpp
void AddCategories()
```


-------------------------------

Updated on 2023-01-13 at 22:44:39 +0000