---
title: llarp::dht::PublishServiceJob

---

# llarp::dht::PublishServiceJob





Inherits from [llarp::dht::TX< TXOwner, service::EncryptedIntroSet >](Classes/structllarp_1_1dht_1_1TX.md)

Inherited by [llarp::dht::LocalPublishServiceJob](Classes/structllarp_1_1dht_1_1LocalPublishServiceJob.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[PublishServiceJob](Classes/structllarp_1_1dht_1_1PublishServiceJob.md#function-publishservicejob)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & asker, const [service::EncryptedIntroSet](Classes/structllarp_1_1service_1_1EncryptedIntroSet.md) & introset, [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * ctx, uint64_t relayOrder) |
| virtual bool | **[Validate](Classes/structllarp_1_1dht_1_1PublishServiceJob.md#function-validate)**(const [service::EncryptedIntroSet](Classes/structllarp_1_1service_1_1EncryptedIntroSet.md) & introset) const override |
| virtual void | **[Start](Classes/structllarp_1_1dht_1_1PublishServiceJob.md#function-start)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & peer) override |
| virtual void | **[SendReply](Classes/structllarp_1_1dht_1_1PublishServiceJob.md#function-sendreply)**() override |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| uint64_t | **[relayOrder](Classes/structllarp_1_1dht_1_1PublishServiceJob.md#variable-relayorder)**  |
| [service::EncryptedIntroSet](Classes/structllarp_1_1service_1_1EncryptedIntroSet.md) | **[introset](Classes/structllarp_1_1dht_1_1PublishServiceJob.md#variable-introset)**  |

## Additional inherited members

**Public Functions inherited from [llarp::dht::TX< TXOwner, service::EncryptedIntroSet >](Classes/structllarp_1_1dht_1_1TX.md)**

|                | Name           |
| -------------- | -------------- |
| | **[TX](Classes/structllarp_1_1dht_1_1TX.md#function-tx)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & asker, const K & k, [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * p) |
| virtual | **[~TX](Classes/structllarp_1_1dht_1_1TX.md#function-~tx)**() =default |
| void | **[OnFound](Classes/structllarp_1_1dht_1_1TX.md#function-onfound)**(const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & askedPeer, const V & value) |
| util::StatusObject | **[ExtractStatus](Classes/structllarp_1_1dht_1_1TX.md#function-extractstatus)**() const |

**Public Attributes inherited from [llarp::dht::TX< TXOwner, service::EncryptedIntroSet >](Classes/structllarp_1_1dht_1_1TX.md)**

|                | Name           |
| -------------- | -------------- |
| K | **[target](Classes/structllarp_1_1dht_1_1TX.md#variable-target)**  |
| [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * | **[parent](Classes/structllarp_1_1dht_1_1TX.md#variable-parent)**  |
| std::set< [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) > | **[peersAsked](Classes/structllarp_1_1dht_1_1TX.md#variable-peersasked)**  |
| std::vector< V > | **[valuesFound](Classes/structllarp_1_1dht_1_1TX.md#variable-valuesfound)**  |
| [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) | **[whoasked](Classes/structllarp_1_1dht_1_1TX.md#variable-whoasked)**  |


## Public Functions Documentation

### function PublishServiceJob

```cpp
PublishServiceJob(
    const TXOwner & asker,
    const service::EncryptedIntroSet & introset,
    AbstractContext * ctx,
    uint64_t relayOrder
)
```


### function Validate

```cpp
virtual bool Validate(
    const service::EncryptedIntroSet & introset
) const override
```


**Reimplements**: [llarp::dht::TX::Validate](Classes/structllarp_1_1dht_1_1TX.md#function-validate)


### function Start

```cpp
virtual void Start(
    const TXOwner & peer
) override
```


**Reimplements**: [llarp::dht::TX::Start](Classes/structllarp_1_1dht_1_1TX.md#function-start)


### function SendReply

```cpp
virtual void SendReply() override
```


**Reimplements**: [llarp::dht::TX::SendReply](Classes/structllarp_1_1dht_1_1TX.md#function-sendreply)


**Reimplemented by**: [llarp::dht::LocalPublishServiceJob::SendReply](Classes/structllarp_1_1dht_1_1LocalPublishServiceJob.md#function-sendreply)


## Public Attributes Documentation

### variable relayOrder

```cpp
uint64_t relayOrder;
```


### variable introset

```cpp
service::EncryptedIntroSet introset;
```


-------------------------------

Updated on 2023-01-13 at 22:44:38 +0000