---
title: tooling::PathBuildRejectedEvent

---

# tooling::PathBuildRejectedEvent





Inherits from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[PathBuildRejectedEvent](Classes/structtooling_1_1PathBuildRejectedEvent.md#function-pathbuildrejectedevent)**(const [llarp::RouterID](Classes/structllarp_1_1RouterID.md) & routerID, const [llarp::PathID_t](Classes/structllarp_1_1PathID__t.md) rxid_, const [llarp::RouterID](Classes/structllarp_1_1RouterID.md) & rejectedBy_) |
| virtual std::string | **[ToString](Classes/structtooling_1_1PathBuildRejectedEvent.md#function-tostring)**() const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [llarp::PathID_t](Classes/structllarp_1_1PathID__t.md) | **[rxid](Classes/structtooling_1_1PathBuildRejectedEvent.md#variable-rxid)**  |
| [llarp::RouterID](Classes/structllarp_1_1RouterID.md) | **[rejectedBy](Classes/structtooling_1_1PathBuildRejectedEvent.md#variable-rejectedby)**  |

## Additional inherited members

**Public Functions inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| | **[RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-routerevent)**(std::string eventType, [llarp::RouterID](Classes/structllarp_1_1RouterID.md) routerID, bool triggered) |
| virtual | **[~RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-~routerevent)**() =default |

**Public Attributes inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| const std::string | **[eventType](Classes/structtooling_1_1RouterEvent.md#variable-eventtype)**  |
| [llarp::RouterID](Classes/structllarp_1_1RouterID.md) | **[routerID](Classes/structtooling_1_1RouterEvent.md#variable-routerid)**  |
| bool | **[triggered](Classes/structtooling_1_1RouterEvent.md#variable-triggered)**  |


## Public Functions Documentation

### function PathBuildRejectedEvent

```cpp
inline PathBuildRejectedEvent(
    const llarp::RouterID & routerID,
    const llarp::PathID_t rxid_,
    const llarp::RouterID & rejectedBy_
)
```


### function ToString

```cpp
inline virtual std::string ToString() const
```


**Reimplements**: [tooling::RouterEvent::ToString](Classes/structtooling_1_1RouterEvent.md#function-tostring)


## Public Attributes Documentation

### variable rxid

```cpp
llarp::PathID_t rxid;
```


### variable rejectedBy

```cpp
llarp::RouterID rejectedBy;
```


-------------------------------

Updated on 2023-01-13 at 22:44:38 +0000