---
title: llarp/dht/messages/consensus.hpp

---

# llarp/dht/messages/consensus.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::dht](Namespaces/namespacellarp_1_1dht.md)**  |

## Classes

|                | Name           |
| -------------- | -------------- |
| struct | **[llarp::dht::ConsensusMessage](Classes/structllarp_1_1dht_1_1ConsensusMessage.md)**  |




## Source code

```cpp
#pragma once
#include <llarp/dht/message.hpp>
#include <llarp/router_version.hpp>

namespace llarp
{
  namespace dht
  {
    struct ConsensusMessage
    {
      ShortHash m_Hash;
      std::vector<RouterID> m_Keys;
      uint64_t m_NumberOfEntries;
      uint64_t m_EntryOffset;
      uint64_t m_TxID;
      llarp_time_t m_NextUpdateRequired;
      RouterVersion m_RotuerVersion;
    };
  }  // namespace dht
}  // namespace llarp
```


-------------------------------

Updated on 2023-01-13 at 22:44:39 +0000
