---
title: llarp/quic/packet.hpp

---

# llarp/quic/packet.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::quic](Namespaces/namespacellarp_1_1quic.md)**  |

## Classes

|                | Name           |
| -------------- | -------------- |
| struct | **[llarp::quic::Packet](Classes/structllarp_1_1quic_1_1Packet.md)**  |




## Source code

```cpp
#pragma once

#include "connection.hpp"

namespace llarp::quic
{
  // Encapsulates a packet, i.e. the remote addr, packet data, plus metadata.
  struct Packet
  {
    Path path;
    bstring_view data;
    ngtcp2_pkt_info info;
  };

}  // namespace llarp::quic
```


-------------------------------

Updated on 2023-01-13 at 22:44:39 +0000
